# -*- coding: utf-8 -*-
# (Copyrights at the end of file)
"""
Génère des requête SQL de mise-à-jour pour les colonnes company_id, user_id et
parent_id de la table res_partner à partir d’un fichier formaté sous la forme
de lignes :
        F01;Buisson David
"""

import fileinput

for line in fileinput.input():
    company, person, phone, bla = line.split(';')
    company_id = ("SELECT id from res_company"
                  "where sap_company_code='%(sap)s'") % {'sap': company}

    user_id = ("SELECT id from res_users "
               "where company_id = (%(company_id)s)") % {'company_id':
                                                         company_id}

    partner_id = ("SELECT partner_id from res_company "
                  "where sap_company_code='%(sap)s')") % {'sap': company}

    update_query = ("UPDATE res_partner "
                    "SET company_id = (%(company_id)s), "
                    "user_id = (%(user_id)s), "
                    "parent_id = (%(parent_id)s) "
                    "WHERE name='%(name)s' ;") % {'company_id': company_id,
                                                    'user_id': user_id,
                                                    'partner_id': partner_id,
                                                    'name': person, }

    print update_query

##############################################################################
#
#    Original Module for OpenERP, Open Source Management Solution
#    Copyright (C) 2014 TeMPO CONSULTING (<http://tempo-consulting.fr>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
