# -*- coding: utf-8 -*-
##############################################################################
#
#    Original Module for OpenERP, Open Source Management Solution
#    Copyright (C) 2014 TeMPO CONSULTING (<http://tempo-consulting.fr>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

"""
CASCADE LOGO, RML HEADER/FOOTER FROM MAIN COMPANY TO OFFICES
"""
import xmlrpclib
import csv


username = 'admin'  # the user
pwd = 'A$mixa!'  # the password of the user
dbname = 'AXIMA'  # the database

# Get the uid
sock_common = xmlrpclib.ServerProxy('http://localhost:8069/xmlrpc/common')
uid = sock_common.login(dbname, username, pwd)

# replace localhost with the address of the server
sock = xmlrpclib.ServerProxy('http://localhost:8069/xmlrpc/object')
    
    
"""
SCRIPT
"""
# get HQ template data
fields = ['logo', 'rml_header', 'rml_footer']
r = sock.execute(dbname, uid, pwd, 'res.company', 'read', 1, fields)
    
# cascade template data to offices (not HQ)
domain = [('parent_id', '!=', False), ('id', '!=', 1)]
ids = sock.execute(dbname, uid, pwd, 'res.company', 'search', domain)
if ids:
    vals = {}
    for f in fields:
        vals[f] = r[f]
    sock.execute(dbname, uid, pwd, 'res.company', 'write', ids, vals)
    for r in sock.execute(dbname, uid, pwd, 'res.company', 'read', ids,
        ['partner_id']):
        if r['partner_id']:
            # set partner logo
            sock.execute(dbname, uid, pwd, 'res.partner', 'write',
                [r['partner_id'][0]], {'logo': vals['logo']})

# EOF
